List Monitors
curl --request GET \
--url https://api.sixtyfour.ai/v1/monitors \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sixtyfour.ai/v1/monitors"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sixtyfour.ai/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sixtyfour.ai/v1/monitors")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"monitor_id": "9a4d2c1b-6e7f-4a8b-b3c2-1d0e9f8a7b6c",
"type": "research",
"name": "Target accounts",
"status": "active",
"subject_type": "company",
"fields": {
"headcount": "Number of employees"
},
"frequency": "1w",
"tier": "low",
"research_plan": null,
"is_active": true,
"disabled_reason": null,
"webhook_url": "https://example.com/webhooks/sixtyfour",
"webhook_event_types": [
"monitor.field.changed"
],
"metadata": null,
"row_count": 1,
"active_row_count": 1,
"last_run_at": "2026-11-13T10:00:00Z",
"next_run_times": [
"2026-11-20T10:00:00Z"
],
"created_at": "2026-11-06T10:00:00Z",
"updated_at": "2026-11-13T10:00:00Z"
}
],
"next_cursor": null
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Monitors
List Monitors
Lists your team’s monitors, newest first.
GET
/
v1
/
monitors
List Monitors
curl --request GET \
--url https://api.sixtyfour.ai/v1/monitors \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sixtyfour.ai/v1/monitors"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sixtyfour.ai/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sixtyfour.ai/v1/monitors")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"monitor_id": "9a4d2c1b-6e7f-4a8b-b3c2-1d0e9f8a7b6c",
"type": "research",
"name": "Target accounts",
"status": "active",
"subject_type": "company",
"fields": {
"headcount": "Number of employees"
},
"frequency": "1w",
"tier": "low",
"research_plan": null,
"is_active": true,
"disabled_reason": null,
"webhook_url": "https://example.com/webhooks/sixtyfour",
"webhook_event_types": [
"monitor.field.changed"
],
"metadata": null,
"row_count": 1,
"active_row_count": 1,
"last_run_at": "2026-11-13T10:00:00Z",
"next_run_times": [
"2026-11-20T10:00:00Z"
],
"created_at": "2026-11-06T10:00:00Z",
"updated_at": "2026-11-13T10:00:00Z"
}
],
"next_cursor": null
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"errors": [
{}
],
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}{
"detail": "<string>",
"error_code": "invalid_cursor",
"request_id": "<string>",
"retryable": true,
"param": "<string>"
}Query Parameters
Was this page helpful?